<script>
  import Search from "../components/Search.svelte";
	import DB from '../utils/DB.svelte';
  import { fade } from "svelte/transition";

  let authors = [];
  let authorsSearch;
</script>

<style lang="scss">
  @import "@material/card/mdc-card";
  @import "@material/button/mdc-button";
  @import "@material/layout-grid/mdc-layout-grid";
</style>

<main class="z-0">

  <DB bind:documents={authors} initsrc='./books.json' collection='tiny-amazon'></DB> 

  <Search bind:searchResult={authorsSearch} search="author"/>

  <div class="mdc-layout-grid">
    <ul class="mdc-layout-grid__inner">
      {#if authorsSearch}
        {#each authorsSearch.docs as author}
          <li class="mdc-layout-grid__cell" transition:fade>
            <div class="mdc-card author-card">
              <div
                class="mdc-card__primary-action author-card__primary-action"
                tabindex="0">
                <div class="author-card__primary p-4">
                  <h2
                    class="author-card__title mdc-typography
                    mdc-typography--headline2">
                    {author.author}
                  </h2>
                  <h3
                    class="author-card__title mdc-typography
                    mdc-typography--headline3">
                    Book : {author.title}
                  </h3>
                </div>
              </div>
              <div class="mdc-card__actions">
                <div class="mdc-card__action-buttons">
                  <a
                    href={author.url}
                    class="mdc-button mdc-card__action mdc-card__action--button">
                    <span class="mdc-button__ripple" />
                    Buy on Amazon
                  </a>
                </div>
              </div>
            </div>
          </li>
        {/each}
        {:else}
          {#each authors as author}
          <li class="mdc-layout-grid__cell" transition:fade>
            <div class="mdc-card author-card">
              <div
                class="mdc-card__primary-action author-card__primary-action"
                tabindex="0">
                {#if author.img}
                  <div
                    class="mdc-card__media mdc-card__media--16-9
                    author-card__media"
                    style="background-image: url(data:{author.img.content_type};base64,{author.img.data});" />
                {:else}
                  <div
                    class="mdc-card__media mdc-card__media--16-9
                    author-card__media"
                    style="background-image:
                    url('https://www.machine-metal.com/img/no-image.gif');" />
                {/if}
                <div class="author-card__primary p-4">
                  <h2
                    class="author-card__title mdc-typography
                    mdc-typography--headline1">
                    {author.author}
                  </h2>
                  <h3
                    class="author-card__title mdc-typography
                    mdc-typography--headline2">
                    Book : {author.title}
                  </h3>
                </div>
              </div>
              <div class="mdc-card__actions">
                <div class="mdc-card__action-buttons">
                  <a
                    href={author.url}
                    class="mdc-button mdc-card__action mdc-card__action--button">
                    <span class="mdc-button__ripple" />
                    Buy on Amazon
                  </a>
                </div>
              </div>
            </div>
          </li>
        {/each}
      {/if}
    </ul>
  </div>
</main>
